package extractor.ui.servletUI;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.io.*;

import java.util.*;

public class ServletSplitPaneUI extends JPanel {
	
	private JSplitPane splitPane;  	
	private JPanel rightPane;

	private int currentPane;
	private JDialog jd;
	Vector selected = new Vector();
	Dimension dim;
	
	
	
	public ServletSplitPaneUI(Vector selected)
	{
		this.selected = selected;
		
		dim = Toolkit.getDefaultToolkit().getScreenSize();				

		String fileName = (String)selected.remove(0);
		rightPane = new ServletPkgTFUI();
		splitPane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT, new SourceBrowser(fileName), rightPane);
		splitPane.setOneTouchExpandable(true);
		splitPane.setDividerLocation(((int)dim.getWidth()*2/3)*2/3);
		currentPane = 0;;

		
		setLayout(new BorderLayout(30, 10));
		add(splitPane, BorderLayout.CENTER);
		
		setVisible(true);
	}
	
	public JPanel getRightPane()
	{
		return rightPane;
	}	
}